/* Fonts Link Start */
@import url("https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300..900;1,300..900&display=swap");

@font-face {
  font-family: THIAGADEMORegular;
  src: url(../font/THIAGADEMORegular.ttf);
}

/* Fonts Link End */

/* Universal Start */
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

:root {
  --primary-color: #ff9900;
  --secondary-color: #01273c;
  --accent: #7a94a3;
  --black: #000000;
  --text-color: #545454;
  --white: #ffffff;
  --primary-font: "THIAGADEMORegular";
  --secondary-font: "Rubik";
  --primary-border: 1px solid #7a94a3;
}

h1,
h2,
h3,
h4,
h5 {
  font-family: var(--primary-font);
}

a {
  text-decoration: none;
}

p {
  font-family: var(--secondary-font);
}

/* Universal End */

/* Shop Hero Start */

#shop_hero {
  background: linear-gradient(
      180deg,
      rgba(1, 39, 60, 0) 0%,
      rgba(1, 39, 60, 0.8) 100%
    ),
    url(../image/images/Shop-Hero.webp) lightgray 0px -332.156px /
      100% 210.77% no-repeat;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  width: 100%;
  height: 60vh;
}

.shop_heading_hero {
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top: 30vh;
}

.shop_heading_hero h1 {
  color: var(--white);
  font-size: 48px;
}

.shop_page_ifo {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
  padding-top: 15px;
}

.shop_page_ifo span:nth-child(2) {
  width: 40px;
  height: 2px;
  background: var(--primary-color);
}

.shop_page_ifo span a {
  font-size: 17px;
  color: var(--white);
  font-family: var(--secondary-font);
}

@media screen and (max-width: 768px) {
  .shop_heading_hero h1 {
    font-size: 34px;
  }
}
/* Shop Hero End */

/* Shop Product Start */
.shop_product {
  width: 100%;
  margin-top: 80px;
}
.shop_product .wrapper_box {
  margin-bottom: 40px;
  padding-bottom: 20px;
  border-bottom: 1px solid #cccccc;
}
.shop_product .result {
  color: var(--text-color);
  font-size: 15px;
  font-family: var(--secondary-font);
}
.shop_product .sorting-select {
  cursor: pointer;
  box-shadow: none !important;
}
.shop_product .filter {
  border-radius: 6px;
  border: none;
  overflow: hidden;
  -webkit-border-radius: 6px;
  -moz-border-radius: 6px;
  -ms-border-radius: 6px;
  -o-border-radius: 6px;
}
.shop_product .filter svg {
  width: 40px;
  height: 40px;
}
.shop_product .product-card {
  border-radius: 12px;
  overflow: hidden;
  background: var(--white);
  border: 1px solid #cccccc;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.08);
  transition: 0.3s;
  -webkit-border-radius: 12px;
  -moz-border-radius: 12px;
  -ms-border-radius: 12px;
  -o-border-radius: 12px;
}

.shop_product .product-card:hover {
  transform: translateY(-5px);
  box-shadow: 0 6px 18px rgba(0, 0, 0, 0.12);
}

.shop_product .product-card .details {
  padding: 16px;
}

.shop_product .product-card img {
  width: 100%;
  aspect-ratio: 10/7;
  object-fit: cover;
}

.shop_product .product-title {
  font-size: 18px;
  font-weight: 500;
  text-align: left;
  margin: 10px 0 5px;
  font-family: var(--primary-font);
  text-transform: uppercase;
}

.shop_product .product-price {
  font-size: 18px;
  font-weight: 700;
  color: var(--text-color);
  margin-bottom: 0;
}

.shop_product .btn-add {
  background-color: var(--primary-color);
  color: var(--white);
  font-weight: 600;
  padding: 6px 16px;
  display: flex;
  align-items: center;
  gap: 6px;
  border-radius: 6px;
  margin: 0;
}

.shop_product .btn-add svg {
  width: 16px;
  height: 16px;
}

.shop_product .btn-add:hover {
  background-color: var(--secondary-color);
  color: var(--white);
}

.shop_product .project_card_pagenation {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 15px;
  padding-top: 40px;
}

.shop_product .project_card_pagenation a {
  border: 2px solid rgba(1, 39, 60, 1);
  padding: 5px 15px;
  font-family: var(--secondary-font);
  font-size: 16px;
  color: rgba(1, 39, 60, 1);
  font-weight: 500;
  border-radius: 5px;
  transition: 0.5s;
}
.shop_product .project_card_pagenation .link {
  width: 40px;
}

.shop_product .project_card_pagenation a:hover {
  background: var(--primary-color);
  color: var(--white);
  border: 2px solid var(--primary-color);
}

.shop_product .project_card_pagenation .active {
  background: var(--primary-color);
  color: var(--white);
  border: 1px solid var(--primary-color);
}

@media screen and (max-width: 768px) {
  .shop_product .btn-add {
    font-size: 14px;
    width: 100%;
  }

  .shop_product .project_card_pagenation {
    gap: 8px;
  }
}

@media screen and (max-width: 575px) {
  .shop_product .project_card_pagenation a {
    padding: 5px 10px;
    font-size: 14px;
  }
}
/* Shop Product End */
